POST api/seller-sells
Seller sales
Request Information
URI Parameters
None.
Body Parameters
SalesRequest
SellerSalesRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| id_seller |
seller identifier |
integer |
None. |
| product_ids |
product identifiers as an array. if not specified, returns statistics for all products |
Collection of integer |
None. |
| date_start |
start date yyyy-MM-dd HH:mm:ss |
string |
None. |
| date_finish |
end date yyyy-MM-dd HH:mm:ss |
string |
None. |
| returned |
refunds 0 - include refunds; 1 - exclude refunds; 2 - refunds only |
integer |
None. |
| page |
page number (if not specified, the first page is displayed) |
integer |
None. |
| rows |
number of records per page (default 10, maximum 5000) |
integer |
None. |
| sign |
signature sha256({id_seller}{product_ids}{date_start}{date_finish}{returned}{page}{rows}{seller_secret}) lowercase |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id_seller": 1,
"product_ids": [
1,
2
],
"date_start": "sample string 2",
"date_finish": "sample string 3",
"returned": 4,
"page": 5,
"rows": 6,
"sign": "sample string 7"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
application/xml, text/xml
Sample:
<digiseller.request>
<id_seller>1</id_seller>
<product_ids>
<id>1</id>
<id>2</id>
</product_ids>
<date_start>sample string 2</date_start>
<date_finish>sample string 3</date_finish>
<returned>4</returned>
<page>5</page>
<rows>6</rows>
<sign>sample string 7</sign>
</digiseller.request>
Response Information
Resource Description
SalesResponse
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.